Creates your CRM integration with Gong. Returns an integrationId, which should be used in requests to the CRM API to enable correct association of CRM data.
Multiple CRM integrations are not supported. To create a new integration, delete the old one first (DELETE /v2/crm/integrations).
This includes if you have integrated with Gong using one of the native CRM integrations such as HubSpot or Salesforce.
Required authorization scope: 'api:crm:integration:register'.
Email address of the person responsible for the integration
The name of the integration
Successful response
A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.
Note: Parse the integrationId as Long or BigInt. Parsing the integrationId as an Integer will truncate the integrationId to trailing zeros and will return an incorrect ID.
Malformed request
A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.
Error messages.
Access denied
A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.
Error messages.
Conflict - An active integration already exists.
A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.
Error messages.
Failed to complete the operation due to an unexpected error
A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.
Error messages.